org.jboss.jca.core.api.workmanager

## Interface WorkManager

- All Superinterfaces:
    java.lang.Cloneable, GracefulShutdown, javax.resource.spi.work.WorkManager
  All Known Subinterfaces:
    DistributedWorkManager

      public interface WorkManager
      extends javax.resource.spi.work.WorkManager, GracefulShutdown, java.lang.Cloneable

  The JBoss specific work manager interface

- - ### Field Summary

    - ### Fields inherited from interface javax.resource.spi.work.WorkManager

      `IMMEDIATE, INDEFINITE, UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkManager` | `clone()` Clone the WorkManager implementation
    `Callback` | `getCallbackSecurity()` Get the callback security module
    `java.lang.String` | `getId()` Get the unique id of the work manager
    `StatisticsExecutor` | `getLongRunningThreadPool()` Retrieve the executor for long running tasks
    `java.lang.String` | `getName()` Get the name of the work manager
    `SecurityIntegration` | `getSecurityIntegration()` Get the security integration module
    `StatisticsExecutor` | `getShortRunningThreadPool()` Retrieve the executor for short running tasks
    `WorkManagerStatistics` | `getStatistics()` Get the statistics
    `XATerminator` | `getXATerminator()` Get the XATerminator
    `boolean` | `isSpecCompliant()` Is spec compliant
    `boolean` | `isStatisticsEnabled()` Is statistics enabled
    `void` | `setCallbackSecurity(Callback v)` Set callback security module
    `void` | `setId(java.lang.String v)` Set the id of the work manager
    `void` | `setLongRunningThreadPool(org.jboss.threads.BlockingExecutor executor)` Set the executor for long running tasks
    `void` | `setName(java.lang.String v)` Set the name of the work manager
    `void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter ra)` Set the resource adapter
    `void` | `setSecurityIntegration(SecurityIntegration v)` Set security integration module
    `void` | `setShortRunningThreadPool(org.jboss.threads.BlockingExecutor executor)` Set the executor for short running tasks
    `void` | `setSpecCompliant(boolean v)` Set spec compliant flag
    `void` | `setStatisticsEnabled(boolean v)` Set the statistics enabled flag
    `void` | `setXATerminator(XATerminator xaTerminator)` Set the XATerminator

    - ### Methods inherited from interface javax.resource.spi.work.WorkManager

      `doWork, doWork, scheduleWork, scheduleWork, startWork, startWork`

    - ### Methods inherited from interface org.jboss.jca.core.spi.graceful.GracefulShutdown

      `cancelShutdown, getDelay, isShutdown, prepareShutdown, prepareShutdown, prepareShutdown, prepareShutdown, shutdown`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Get the unique id of the work manager
      Returns:
        The value

    - #### setId

          void setId(java.lang.String v)

      Set the id of the work manager
      Parameters:
        `v` - The value

    - #### getName

          java.lang.String getName()

      Get the name of the work manager
      Returns:
        The value

    - #### setName

          void setName(java.lang.String v)

      Set the name of the work manager
      Parameters:
        `v` - The value

    - #### setResourceAdapter

          void setResourceAdapter(javax.resource.spi.ResourceAdapter ra)

      Set the resource adapter
      Parameters:
        `ra` - The handle

    - #### getShortRunningThreadPool

          StatisticsExecutor getShortRunningThreadPool()

      Retrieve the executor for short running tasks
      Returns:
        The executor

    - #### setShortRunningThreadPool

          void setShortRunningThreadPool(org.jboss.threads.BlockingExecutor executor)

      Set the executor for short running tasks
      Parameters:
        `executor` - The executor

    - #### getLongRunningThreadPool

          StatisticsExecutor getLongRunningThreadPool()

      Retrieve the executor for long running tasks
      Returns:
        The executor

    - #### setLongRunningThreadPool

          void setLongRunningThreadPool(org.jboss.threads.BlockingExecutor executor)

      Set the executor for long running tasks
      Parameters:
        `executor` - The executor

    - #### getXATerminator

          XATerminator getXATerminator()

      Get the XATerminator
      Returns:
        The XA terminator

    - #### setXATerminator

          void setXATerminator(XATerminator xaTerminator)

      Set the XATerminator
      Parameters:
        `xaTerminator` - The XA terminator

    - #### isSpecCompliant

          boolean isSpecCompliant()

      Is spec compliant
      Returns:
        True if spec compliant; otherwise false

    - #### setSpecCompliant

          void setSpecCompliant(boolean v)

      Set spec compliant flag
      Parameters:
        `v` - The value

    - #### isStatisticsEnabled

          boolean isStatisticsEnabled()

      Is statistics enabled
      Returns:
        True if enabled; otherwise false

    - #### setStatisticsEnabled

          void setStatisticsEnabled(boolean v)

      Set the statistics enabled flag
      Parameters:
        `v` - The value

    - #### getCallbackSecurity

          Callback getCallbackSecurity()

      Get the callback security module
      Returns:
        The value

    - #### setCallbackSecurity

          void setCallbackSecurity(Callback v)

      Set callback security module
      Parameters:
        `v` - The value

    - #### getSecurityIntegration

          SecurityIntegration getSecurityIntegration()

      Get the security integration module
      Returns:
        The value

    - #### setSecurityIntegration

          void setSecurityIntegration(SecurityIntegration v)

      Set security integration module
      Parameters:
        `v` - The value

    - #### getStatistics

          WorkManagerStatistics getStatistics()

      Get the statistics
      Returns:
        The value

    - #### clone

          WorkManager clone()
                     throws java.lang.CloneNotSupportedException

      Clone the WorkManager implementation
      Returns:
        A copy of the implementation
      Throws:
        `java.lang.CloneNotSupportedException` - Thrown if the copy operation isn't supported

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)